Bug Hunting Session
Bug 51736 - Transparent regions of shape bitmap fills are drawn white instead.
Summary: Transparent regions of shape bitmap fills are drawn white instead.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 60860 (view as bug list)
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2012-07-04 18:05 UTC by Brennan Vincent
Modified: 2019-12-03 14:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document demonstrating the bug (10.19 KB, application/vnd.oasis.opendocument.graphics)
2012-07-04 18:05 UTC, Brennan Vincent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brennan Vincent 2012-07-04 18:05:08 UTC
Created attachment 63839 [details]
Document demonstrating the bug

When adding an image normally, transparency is handled correctly. However, when setting an image as the area for a shape, transparent regions are drawn white and 100% opacity. The attached demonstrates both behaviors.
Comment 1 Valek Filippov 2012-07-07 09:01:03 UTC
Confirmed with LO 3.5.3.2 and 3.6beta2 on linux x86
Comment 2 Brennan Vincent 2013-02-15 04:48:38 UTC
*** Bug 60860 has been marked as a duplicate of this bug. ***
Comment 3 QA Administrators 2015-02-19 15:48:13 UTC Comment hidden (obsolete)
Comment 4 ape 2015-02-26 16:42:05 UTC
Confirmed on Windows XP 64-bit edition with:
1. LibO 4.4.0.0.beta1
ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
Locale: ru_RU
--
2. LibO-dev: 4.5.0.0.alpha0+
ID: 86796f127b15fd33374f2a18344dc944b7b8314d
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-02-25_22:36:42
Locale: ru_RU
--
3. LibO-dev: 4.5.0.0.alpha0+ (x64)
Build ID: 86796f127b15fd33374f2a18344dc944b7b8314d
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-02-25_23:01:45
Locale: ru_RU
Comment 5 tommy27 2016-04-16 07:28:54 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:27:12 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:03:59 UTC
Dear Brennan Vincent,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug